Subject: Re: [Ntp] NTS Objectives

From: Heiko Gerstung <[email-masked]>
Date: Tue, 1 Jun 2021 09:52:04 +0200

> Von: ntp <[email-masked]> im Auftrag von <[email-masked]>

> Datum: Montag, 31. Mai 2021 um 18:30

> in light of the recent discussions about NTS4UPTP, I've studied the "Objectives"

> section of RFC8915 again.

> [...]

> Overall, I believe that this list is not a good basis to derive goals for other

> security approaches.

> In particular, it seems unsuited as a baseline for discussion of any kind of PTP

> security with NTS methods, as it seems unreasonable to presuppose any of those

> things for a PTP network.

I fully agree. 

> I want to remind the WG that NTS once used to be a generic concept, with a docum

> ent, and that "NTS for NTP" was supposed to be only one application of it.

> [...]

> Is there interest in a document that kind of sits between RFC7384 (Tal's require

> ments document) and RFC8915 (NTS for NTP)?

> I envision a document that talks about the specific requirements on the messages

> that a synchronization protocol exchanges and the generic blueprint that I thin

> k of as the state-of-the-art.

> This would basically be compiled from the results of three minor chapters of my

> doctoral thesis.

I am definitely interested in such a document, as it seems that this would have made it a lot easier for us to create a draft describing yet another application of NTS, but for a protocol that is working in a completely different way. I am, however, slightly concerned that it would require some careful design to make sure that NTS4NTP fits in and at the same time keep it flexible enough for other applications/use-cases. 

> I believe this could help us futureproof design and decision processes, and one

> of the first applications could be the discussions about (NTS-based) solutions f

> or PTP security.

Shame on me, I did not follow the discussion about this document back in 2019, but wonder why it was ignored by people? My guess would be that, as a conceptual document, it might not have attracted interest because people want/need to focus on standards that describe a protocol that can be applied directly. The document you describe seems to be aimed more at authors/designers of future NTS based protocols and will therefore only will be beneficial to users in an indirect way. I nevertheless believe that this would be very useful and we here at Meinberg would certainly support working on something like this. 

But we also have users waiting for a way to secure their unicast PTP use-cases and I therefore would prefer if we can do this in parallel. I know, this is not the ideal way of doing it, but since we cannot come up with something that is completely contrary to what has been done in RFC8915, I am sure it is possible to set the document up in a way that allows NTS4NTP to comply and ensure that something like NTS4UPTP, following as a minimum the same approach as NTS4NTP, is also applying the concepts that are clearly outlined in the new NTS document. 

Regards,

  Heiko

-- 

Heiko Gerstung 

Managing Director 

MEINBERG® Funkuhren GmbH & Co. KG 

Lange Wand 9 

D-31812 Bad Pyrmont, Germany 

Phone: +49 (0)5281 9309-404 

Fax: +49 (0)5281 9309-9404 

Amtsgericht Hannover 17HRA 100322 

Geschäftsführer/Management: Günter Meinberg, Werner Meinberg, Andre Hartmann, Heiko Gerstung 

Email: 

[email-masked]

Web: 

Deutsch https://www.meinberg.de

English https://www.meinbergglobal.com

Do not miss our Time Synchronization Blog: 

https://blog.meinbergglobal.com

Connect via LinkedIn: 

https://www.linkedin.com/in/heikogerstung